Results 1 to 4 of 4

Thread: AMD removes FGLRX 9-1 and 9-2?

  1. #1
    Join Date
    Oct 2007
    Posts
    91

    Default AMD removes FGLRX 9-1 and 9-2?

    So, I went to download the latest FGLRX from AMD's download page, and the only version they are now offering is 8-12! Since the last two driver releases were mediocre at best, did AMD decide that we no longer need them?

    Anyway, anyone know where can I find a copy of 9-2.

    Thanks.

  2. #2
    Join Date
    May 2008
    Location
    Germany/NRW
    Posts
    510

    Default

    uhm... 9-2 is still right there on their site.
    https://a248.e.akamai.net/f/674/9206...x86.x86_64.run

  3. #3
    Join Date
    Oct 2007
    Posts
    91

    Default

    Nevermind, it is just a bug on their website.

    If you select the HD2600 from their list it returns 8-12 as the latest. Everything else I tested returns 9-2 as the latest.

  4. #4
    Join Date
    Sep 2008
    Location
    Nacogdoches, Texas
    Posts
    10

    Default

    Quote Originally Posted by sandain View Post
    So, I went to download the latest FGLRX from AMD's download page, and the only version they are now offering is 8-12! Since the last two driver releases were mediocre at best, did AMD decide that we no longer need them?

    Anyway, anyone know where can I find a copy of 9-2.

    Thanks.
    You don't want it. The 9-2 driver causes my machine to reboot when switching to graphics mode.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •